## qt6-charts 6.2.4

=== examples/CMakeLists.txt ===
# Generated from examples.pro.

qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(charts)

qt_examples_build_end()
