=== examples/charts/audio/CMakeLists.txt ===
# Generated from audio.pro.

cmake_minimum_required(VERSION 3.16)
project(audio LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/charts/audio")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Charts)
find_package(Qt6 COMPONENTS Multimedia)

qt_add_executable(audio
    main.cpp
    widget.cpp widget.h
    xyseriesiodevice.cpp xyseriesiodevice.h
)
set_target_properties(audio PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(audio PUBLIC
    Qt::Charts
    Qt::Core
    Qt::Gui
    Qt::Multimedia
)

install(TARGETS audio
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)
