=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.2.4~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.2.4~),
-               qml6-module-qttest (>= 6.2.4~),
-               qt6-base-dev (>= 6.2.4~),
-               qt6-base-private-dev (>= 6.2.4~),
-               qt6-declarative-dev (>= 6.2.4~),
+               qml6-module-qtquick (>= 6.3.1+dfsg~),
+               qml6-module-qttest (>= 6.3.1+dfsg~),
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-dev (>= 6.3.1+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-charts
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-charts.git
@@ -61,11 +61,16 @@
  .
  This package provides the QML module for Qt 6 charts.
 
-Package: libqt6charts6-dev
+Package: qt6-charts-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libqt6charts6 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
+Depends: libqt6charts6 (= ${binary:Version}),
+         libqt6chartsqml6  (= ${binary:Version}),
+         qt6-base-dev,
+         ${misc:Depends},
+Breaks: libqt6charts6-dev (<< 6.3.1-3~)
+Replaces: libqt6charts6-dev (<< 6.3.1-3~)
 Description: Qt 6 charts - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
